--- title: Delete an item and optionally, its children in a Push source slug: '171' canonical_url: https://docs.coveo.com/en/171/ collection: index-content source_format: adoc --- # Delete an item and optionally, its children in a Push source :figure-caption!: Use the `Delete an item and optionally its children` request only to delete one item, or an item and its children. To maximize efficiency and comply with [API consumption limits](https://docs.coveo.com/en/63/), don't use this request repeatedly to delete many items in a Push source. If this is what you need to do, you should either use: * The [batch update requests](https://docs.coveo.com/en/90/). * The [`Delete old items`](https://docs.coveo.com/en/131/) request. **Sequence diagram illustrating the handling of a `Delete an item and optionally its children` Push API request (highlighted) as it progresses through the [Coveo indexing pipeline](https://docs.coveo.com/en/1893/).** ![Sequence diagram for DELETE documents request](https://docs.coveo.com/en/assets/images/index-content/delete-documents-sequence-diagram.svg) ## Request template **US East region** [%collapsible%open] #### [source,http,subs=attributes] ``` DELETE https://api.cloud.coveo.com/push/v1/organizations//sources//documents?deleteChildren=&documentId= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ``` #### .Canada region
Details [source,http,subs=attributes] ``` DELETE https://api-ca.cloud.coveo.com/push/v1/organizations//sources//documents?deleteChildren=&documentId= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ```
**Ireland region**
Details [source,http,subs=attributes] ``` DELETE https://api-eu.cloud.coveo.com/push/v1/organizations//sources//documents?deleteChildren=&documentId= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ```
**Australia region**
Details [source,http,subs=attributes] ``` DELETE https://api-au.cloud.coveo.com/push/v1/organizations//sources//documents?deleteChildren=&documentId= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ```
Request parameters: **Parameters**
Details In the request path: * Replace `` with your [organization ID](https://docs.coveo.com/en/148/). * Replace `` with your Push [source's ID](https://docs.coveo.com/en/3390#copy-a-source-name-or-id). In the query string: * Set `deleteChildren` to `true` to delete all items whose URLs begin with `` + `/`. For example, if `documentId` is set to `+file://folder+`, items `+file://folder/file1.txt+` and `+file://folder/subfolder/file2.txt+` would be deleted. Set `deleteChildren` to `false` otherwise. * Replace `` with the URL-encoded URI of the item to delete in the target Push source (for example, `file%3A%2F%2Ffolder%2FdummyItem.html`). In the `Authorization` HTTP header: * Replace `` with a Push source API key that grants the [set of privileges required to push items](https://docs.coveo.com/en/1546#api-key) to your source.
Request body: None Successful response: `202 Accepted` A successful response (`202 Accepted`) indicates that the delete operation was successfully forwarded to the service and is now enqueued to be processed in the [Coveo indexing pipeline](https://docs.coveo.com/en/184/). This doesn't imply that the item was successfully deleted in the target Push source. See [About the Push API processing delay](https://docs.coveo.com/en/32/) for details. > **Leading practice: Update the status of your Push source** > > If you set your Push source to an active status before, you should consider [setting it back to the `IDLE` status](https://docs.coveo.com/en/35/) once this request has successfully returned, assuming you have no more requests to perform as part of this content update. ## Sample request The following example shows how to delete an item and its children. ```http DELETE https://api.cloud.coveo.com/push/v1/organizations/mycoveocloudv2organizationg8tp8wu3/sources/mycoveocloudv2organizationg8tp8wu3-rp5rxzbdz753uhndklv2ztkfgy/documents?deleteChildren=true&documentId=file%3A%2F%2Ffolder%2F HTTP/1.1 ​ Authorization: Bearer **********-****-****-****-************ Accept: application/json ```